# Get Account Code by ID

Retrieves a single Account Code by its unique `id`.

Endpoint: GET /api/v1/accountCodes/{id}
Version: 1.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Path parameters:

  - `id` (string, required)
    Unique identifier of the Account Code.

## Header parameters:

  - `X-PB-Developer-Partner-ID` (string)
    This is the Developer Partner ID. When the developer is the only partner, this field is not required.

## Response 200:

  - `200` (unknown)
    Specified Account Code has been retrieved successfully.

## Response 200 fields (application/json):

  - `id` (string)
    Unique identifier of the Account Code created by system.
    Example: d8WpwWzlMgYO

  - `code` (string)
    This is unique Account Code.
    Example: 280002

  - `description` (string)
    Account Code description.
    Example: this is description for test codehash280002

## Response 400:

  - `400` (unknown)
    Invalid request.

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors.

  - `errors.errorCode` (string)
    This error can be validation_error or internal_error or not_found or already_exists
    Example: validation_error

  - `errors.errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Custom Fields not found

## Response 401:

  - `401` (unknown)
    The request could not be authorized.

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 500:

  - `500` (unknown)
    The request could not be completed due to an internal error.

